#
# spec file for package python-tesserocr
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-tesserocr
Version:        2.2.2
Release:        lp151.2.4
Summary:        A simple, Pillow-friendly, Python wrapper around tesseract-ocr
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/sirfz/tesserocr
Source:         https://files.pythonhosted.org/packages/source/t/tesserocr/tesserocr-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(tesseract)
Recommends:     python-Pillow
%python_subpackages

%description
A simple, Pillow-friendly wrapper around the tesseract-ocr API for Optical
Character Recognition (OCR).

tesserocr integrates directly with Tesseract's C++ API using Cython
which allows for simple Pythonic and easy-to-read source code. It
enables real concurrent execution when used with Python's threading
module by releasing the GIL while processing an image in tesseract.

%prep
%setup -q -n tesserocr-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Fri Aug 11 2017 9@cirno.systems
- Add doc files
* Sun Aug  6 2017 9@cirno.systems
- Switch to PyPI source URL
- Add Pillow (PIL) to Recommends
* Wed Jul 26 2017 9@cirno.systems
- v2.2.2
  * Support timeout in Recognize API methods
  * Fixed typo in _Enum initialization error message formatting
  * Display tessdata path in init exception message
  * Fixed version check in Python 3 when reading the version number
    from the tesseract executable
* Thu Jun  1 2017 9@cirno.systems
  v2.2.1
  * Fixed setup bug that affects gcc versions with no -std=c++11 option support
  (which should be required by tesseract 4.0+ and not older versions).
* Sun May 28 2017 9@cirno.systems
  v2.2.0
  * Improved setup script
  * Tesseract 4.0 support:
  - Two new OEM enums: OEM.LSTM_ONLY and OEM.TESSERACT_LSTM_COMBINED (tesseract 4.0+)
  - Two new API methods: GetTSVText and DetectOrientationScript (tesseract 4.0+)
  - PyTessBaseApi.__init__ now accepts a new attribute oem (OCR engine mode: OEM.DEFAULT by default).
  - file_to_text and image_to_text functions now also accept the oem attribute as above.
  * Fixed segfault on API Init* failure
  * Fixed segfault when pixa_to_list returns NULL
  * Documentation fixes and other minor improvments
* Sat Apr  1 2017 9@cirno.systems
- Initial commit
